|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QCommonStyle Class Reference
[QtGui module]

The QCommonStyle class encapsulates the common Look and Feel of a GUI. More...

     #include <QCommonStyle>

Inherits QStyle.

Inherited by QMotifStyle and QWindowsStyle.

- List of all members, including inherited members

### Public Functions

- QCommonStyle ()
- ~QCommonStyle ()

- 23 public functions inherited from QStyle
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 2 protected slots inherited from QStyle

## Detailed Description

The QCommonStyle class encapsulates the common Look and Feel of a GUI.

This abstract class implements some of the widget's look and feel that is common to all GUI styles provided and shipped as part of Qt.

Since QCommonStyle inherits QStyle, all of its functions are fully documented in the QStyle documentation.

See also QStyle, QMotifStyle, and QWindowsStyle.

## Member Function Documentation

### QCommonStyle::QCommonStyle ()

Constructs a QCommonStyle.

### QCommonStyle::~QCommonStyle ()

This is an overloaded function.

Destroys the style